package MpmasPlotTransitions;

use strict;
use warnings;
use Exporter;
use Storable qw(dclone);
use Data::Dumper;
use MpmasInputfile;
use MpmasInputBlock;
our @ISA = qw(MpmasInputfile);

sub filename {
	return "PlotTransitions";
}
sub required {
	my ($self) = @_;
	return ($self->config_entry("PLOT_TRANSITIONS") == 1 )
}


sub prepare_special {
	my ($self) = @_;	

	####Prepare Input Blocks
	##General Parameters Block		
	my $block1 = MpmasInputBlock->new(3, 10);  # number of commentary columns, priority
	
	$block1->add_row("THE DYNAMIC PLOT TRANSITIONS FILE");
	$block1->add_row("1","GENERAL CONFIGURATION","","");
#	$block1->add_row("","1.1","Agents sell land if lacking liquidity?",$self->config_entry("LMSELLFORCASH"));

	$self->add_block($block1);




}

1;
